
Redmine - Feature #1735

Per project repository log encoding setting

2008-08-03 10:53 - Dmitri Zhabinski

Status: Closed Start date: 2008-08-03

Priority: Normal Due date:  

Assignee: Toshi MARUYAMA % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version: 1.2.0   

Resolution: Fixed   

Description

It would be very usefull to set repository encoding per each project, rathe then per redmine installation.

Related issues:

Related to Redmine - Defect #2890: CVS fetch changesets for latin1 charset Closed 2009-03-03

Related to Redmine - Feature #3396: Git: use --encoding=UTF-8 in "git log" Closed 2009-05-20

Associated revisions

Revision 4961 - 2011-02-28 11:03 - Toshi MARUYAMA

scm: refactor scm log encoding test (#1735, #3396, #7597).

Bazaar log depends on locale.

On Japanese Windows, standard out is CP932.

Revision 4980 - 2011-03-01 10:47 - Toshi MARUYAMA

scm: add log_encoding column to repositories table (#1735).

Revision 4981 - 2011-03-01 11:14 - Toshi MARUYAMA

scm: copy global log encoding setting to repository (#1735).

Revision 4982 - 2011-03-01 11:27 - Toshi MARUYAMA

scm: add feature of per project repository log encoding setting (#1735).

Subversion, Mercurial and Git supports UTF-8 log.

Revision 4983 - 2011-03-01 11:27 - Toshi MARUYAMA

scm: remove global repository log encoding setting from view (#1735).

Revision 5517 - 2011-04-23 03:20 - Toshi MARUYAMA

scm: change locale key name "setting_commit_logs_encoding" to "field_commit_logs_encoding" (#1735).

Revision 5518 - 2011-04-23 03:20 - Toshi MARUYAMA

scm: change line order of locale key "field_commit_logs_encoding" in English, French and Japanese (#1735).

Revision 5519 - 2011-04-23 05:34 - Toshi MARUYAMA

scm: use i18n string at commit log encoding setting (#1735).

History

#1 - 2008-09-09 22:06 - Leonid Myravyev

- File cvs_encoding.patch added

- Status changed from New to Resolved

- % Done changed from 0 to 60

I wrote a simple patch to select coding in each project. Now only works with cvs. I very much hope that the authors redmine correct and include this

patch.
Thanks!

#2 - 2011-02-04 16:56 - Toshi MARUYAMA

- Status changed from Resolved to 7

- Assignee set to Toshi MARUYAMA

#3 - 2011-02-28 12:00 - Toshi MARUYAMA

- Subject changed from Per project repository encoding setting to Per project repository log encoding setting

- % Done changed from 60 to 0

#4 - 2011-03-01 11:32 - Toshi MARUYAMA

- Status changed from 7 to Closed

- Target version set to 1.2.0

- Resolution set to Fixed

Added this feature until r4983.

Files

cvs_encoding.patch 11 KB 2008-09-09 Leonid Myravyev
